/* page-wide rules  */

html {
    color-scheme: light dark;
}

body {
    background-color: var(--bg);
}

/* media queries for mobile displays */

.page {
    max-width: 64rem;
    display: grid;
    grid-template-areas:
      "header"
      "body"
      "aside"
      "footer";
    grid-template-columns: minmax(0, 1fr); /* https://css-tricks.com/preventing-a-grid-blowout/ */
    grid-row-gap: 2rem;
    margin: 2rem auto;
}

@media (min-width: 64rem) {
    .page {
        grid-template-areas:
          "header  header"
          "body    aside"
          "footer  footer";
        grid-template-columns: minmax(0, 1fr) 15rem;
        grid-column-gap: 2rem;
    }
}

/* header */

.page__header {
    grid-area: header;
    display: flex;
    ul {
        display: flex;
        flex-flow: row wrap;
        justify-content: flex-start;
        margin: 0;
        padding: 0 0 0.25rem 0;
        gap: 0rem 1.5rem;
    }

    li {
        padding-top: 0.25rem;
        margin-left: 1rem;
        text-transform: lowercase;
        display: block;
    }

    li::marker {
        content: none;
    }
}

.page__logo {
    padding: 0;
    margin: 0;
    font-weight: 500;
    color: var(--logo);
}

.page__logo:before {
    content: none;
}

.page__logo-inner {
    display: block;
    background: var(--logo-neg);
    opacity: 0.90;
    padding: 0.25rem;
}

a.page__logo-inner:link, a.page__logo-inner:visited {
    color: inherit;
    text-decoration: inherit;
}

a.page__logo-inner:hover,
a.page__logo-inner:active {
    opacity: 1;
}

.page__logo-inner:before {
    font-weight: 500;
    content: "[";
    color: var(--logo);
}

.page__logo-inner:after {
    font-weight: 500;
    content: "]";
    color: var(--logo);
}


/* body */

.page__body {
    grid-area: body;
    background-color: var(--page-main);
    overflow-wrap: break-word;
    padding: .5rem;
    box-shadow: 0 0 .25rem 1rem var(--page-main);
}


/* right sidebar */

.page__aside {
    grid-area: aside;
    position: sticky;
    overflow-y: auto;
    max-height: 95vh;
    top: 1rem;
}

.aside__social-links {
    padding: 0;
    li {
        display: inline-block;
    }
    li::marker {
        content: none;
    }
}


/* footer */

.page__footer{
    grid-area: footer;
}
